Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007430 [DCSS] Bug Report minor have not tried 2013-08-05 06:37 2013-08-27 03:12
Reporter KiloByte View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0007430: unvoluntary transforms prompt about stat death
Description If you get transformed by a chaos cloud, etc, and the transform would drop a stat below 0, you get prompted and can opt out of transforming.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0007458resolvedPleasingFungus No message for failed transformation spells 
related to 0007476resolvedMarvinPA poly wand doesn't id if Zin blocks the effect 

-  Notes
(0023709)
neil (administrator)
2013-08-11 19:29

Is there a reason we couldn't just wrap the stats check in an if (!force)?
(0023712)
KiloByte (manager)
2013-08-12 03:28

It already is !force. Too bad, outside code mostly uses just_check to silently test if the transformation is possible, while inside code takes "force" as something more than a request to allow otherwise illegal forms.
(0023878)
KiloByte (manager)
2013-08-27 03:12

The "force" argument was used inconsistently, sometimes meaning "no matter what", sometimes "involuntarily".

- Issue History
Date Modified Username Field Change
2013-08-05 06:37 KiloByte New Issue
2013-08-11 19:29 neil Note Added: 0023709
2013-08-12 03:28 KiloByte Note Added: 0023712
2013-08-14 04:25 neil Relationship added related to 0007458
2013-08-18 20:26 neil Relationship added related to 0007476
2013-08-27 03:12 KiloByte Note Added: 0023878
2013-08-27 03:12 KiloByte Status new => resolved
2013-08-27 03:12 KiloByte Fixed in Branch => 0.13 development branch
2013-08-27 03:12 KiloByte Resolution open => done
2013-08-27 03:12 KiloByte Assigned To => KiloByte


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker